option
option = { tooltip : { trigger: 'axis' }, toolbox: { show : true, feature : { mark : {show: true}, dataZoom : {show: true}, dataView : {show: true}, magicType : {show: true, type: ['line', 'bar']}, restore : {show: true}, saveAsImage : {show: true} } }, dataZoom : { show : true, realtime : true, //orient: 'vertical', // 'horizontal' //x: 0, y: 36, //width: 400, height: 20, //backgroundColor: 'rgba(221,160,221,0.5)', //dataBackgroundColor: 'rgba(138,43,226,0.5)', //fillerColor: 'rgba(38,143,26,0.6)', //handleColor: 'rgba(128,43,16,0.8)', //xAxisIndex:[], //yAxisIndex:[], start : 40, end : 60 }, xAxis : [ { type : 'category', boundaryGap : false, data : function (){ var list = []; var n = 0; while (n++ < 150) { list.push(n); } return list; }() } ], yAxis : [ { type : 'value' } ], series : [ { name:'dz', type:'line', data:function (){ var list = []; for (var i = 1; i <= 150; i++) { list.push(Math.round(Math.random()* 30)); } return list; }() } ], calculable:false };
切换主题